Skip to main content
GET
ListChannels

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of channels to return. The service may return fewer than this value. If unspecified, at most 50 channels will be returned. The maximum value is 10,000; values above 10,000 will be coerced to 10,000. Optional.

pageToken
string

A page token, received from a previous ListChannels call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListChannels must match the call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are channel_id, asset_id, name, description run_id, run_name, run_client_key, created_date, modified_date, created_by_user_id, and modified_by_user_id. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved channels. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name, created_date and modified_date, active. If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

Response

A successful response.

The result of a call to ChannelService_ListChannels.

channels
object[]
nextPageToken
string